#include <iostream>
#include <vector>

class Counter {
private:
    int count;

public:
    Counter() : count(0) {}

    void increment() { count++; }
    int getCount() const { return count; }
};

int main() {
    std::vector<Counter> counters(3);

    for (auto& counter : counters) {
        counter.increment();
        counter.increment();
    }

    for (size_t i = 0; i < counters.size(); ++i) {
        std::cout << "Counter " << i << ": " << counters[i].getCount() << std::endl;
    }

    return 0;
}
